package com.mehmaa.blog.service.crud;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.repository.PagingAndSortingRepository;
import org.springframework.stereotype.Service;

import com.mehmaa.blog.domain.Account;
import com.mehmaa.blog.helper.AccountHelper;
import com.mehmaa.blog.helper.EntityHelper;
import com.mehmaa.blog.repository.AccountRepository;

/**
 * Account service 
 * 
 * @author maachou
 *
 */
@Service
public class AccountService extends AbstractCrudService<Account> {

    private AccountRepository repository;

    private AccountHelper helper;

    @Autowired
    public AccountService(AccountRepository accountRepository, AccountHelper helper) {
        this.repository = accountRepository;
        this.helper = helper;
    }

    @Override
    public PagingAndSortingRepository<Account, Long> getRepository() {
        return this.repository;
    }

    @Override
    public EntityHelper<Account> getHelper() {
        return this.helper;
    }
}
